Update Announcement by IDpatch https://{hostname}/api/talk/content/v1/announcements/{id}This operation updates an announcement by ID. Authorization and Permissions An OpenAm token is required to update the announcement. The user must have content update permission, which is granted by a Talk administrator. Path ParamsidstringrequiredThe ID of the announcement to update.Body ParamsThe Update Announcement request payload.titlestringThe title of the announcement.contentstringThe content of the announcement.expiryDateTimedate-timeThe date and time the announcement expires.locationstringThe location associated with the announcement.whenstringThe date, time, and week of an announcement's planned release.prioritystringThe priority of the announcement.commentEnabledbooleanA Boolean indicator of whether or not comments are enabled for this announcement.truetruefalsescheduledDateTimedate-timeThe scheduled date and time for an announcement to be released to users. it cannot be updated if the original time was already in pastcoverImageobjectThe attachment model used across different content types.coverImage objectattachmentsarray of objectsThe attachments to include with the announcement. The attachment object should be the same returned by the file upload API.attachmentsADD objectHeadersAuthorizationstringrequiredAn OpenAm token for the user.x-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully updated the announcement. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 404The HTTP status code 404 Not Found error, thrown when the announcement is not found. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 429The HTTP status code 429 Too Many Requests error, thrown when the user exceeds the allowed rate limit for the API. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 9 months ago